package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 验证活体人脸核身接口返回的数据记录实体
 * 表名 face_liveness_recognition_return_data
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-11-27 13:33:46
 */
public class FaceLivenessRecognitionReturnDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    private String orderSn;
    /**
     * 模板是否通知 0：否 1:是；
     */
    private String isTempNoti;
    /**
     * 人脸核身是否核验成功0：否，1：是
     */
    private String isFaceCheck;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 模板通知失败原因
     */
    private String tempNotiMsg;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商户订单编号
     */
    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    /**
     * 获取：商户订单编号
     */
    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 设置：模板是否通知 0：否 1:是；
     */
    public void setIsTempNoti(String isTempNoti) {
        this.isTempNoti = isTempNoti;
    }

    /**
     * 获取：模板是否通知 0：否 1:是；
     */
    public String getIsTempNoti() {
        return isTempNoti;
    }
    /**
     * 设置：人脸核身是否核验成功0：否，1：是
     */
    public void setIsFaceCheck(String isFaceCheck) {
        this.isFaceCheck = isFaceCheck;
    }

    /**
     * 获取：人脸核身是否核验成功0：否，1：是
     */
    public String getIsFaceCheck() {
        return isFaceCheck;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：模板通知失败原因
     */
    public void setTempNotiMsg(String tempNotiMsg) {
        this.tempNotiMsg = tempNotiMsg;
    }

    /**
     * 获取：模板通知失败原因
     */
    public String getTempNotiMsg() {
        return tempNotiMsg;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
